package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 文件下发对象 td_file_provide
 *
 * @author ruoyi
 * @date 2024-04-23
 */
public class TdFileProvide extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 文件id */
    @Excel(name = "文件编号")
    private String fileId;

    /** 文件标题 */
    @Excel(name = "文件标题")
    private String fileName;

    /** 文号 */
    @Excel(name = "文号")
    private String fileNum;

    /** 文件 */
    @Excel(name = "文件")
    private String fileSecretyj;

    /** 发文份数 */
    @Excel(name = "发文份数")
    private Long provideCount;

    /** 发文单位 */
    @Excel(name = "发文单位")
    private String provideDepart;

    /** 发文人员 */
    @Excel(name = "发文人员")
    private String provideUserid;

    /** 发文日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发文日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date provideDate;

    /** 收文单位 */
    @Excel(name = "收文单位")
    private String targetDepart;

    /**  */
    private String provideLevel;

    /** 紧急程度 */
    @Excel(name = "紧急程度",readConverterExp = "0=普通,1=紧急,2=加急")
    private String instancyExtent;

    /** 定密依据 */
    @Excel(name = "定密依据")
    private String allianceFile;

    /** 更改单位 */
    private String updateDepart;

    /** 更新人员 */
    private String updateUser;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateDate;

    /** 所属地区 */
    @Excel(name = "所属地区")
    private String frameworkId;

    /** 文件密级 */
    @Excel(name = "文件密级",readConverterExp = "0=秘密,1=机密,2=绝密")
    private String fileSecret;

    /** 保密期限 */
    @Excel(name = "保密期限")
    private String releaseSecretid;



    /**  */
    private String filePurpose;

    /**  */
    private String fileCode;

    /**  */
    private String receiveUser;

    /**  */
    private Long receiveCount;

    /**  */
    private String operateId;

    /** 所属地区 */
    @Excel(name = "所属地区")
    private String areaid;

    public void setFileId(String fileId)
    {
        this.fileId = fileId;
    }

    public String getFileId()
    {
        return fileId;
    }
    public void setProvideCount(Long provideCount)
    {
        this.provideCount = provideCount;
    }

    public Long getProvideCount()
    {
        return provideCount;
    }
    public void setProvideDepart(String provideDepart)
    {
        this.provideDepart = provideDepart;
    }

    public String getProvideDepart()
    {
        return provideDepart;
    }
    public void setProvideUserid(String provideUserid)
    {
        this.provideUserid = provideUserid;
    }

    public String getProvideUserid()
    {
        return provideUserid;
    }
    public void setProvideDate(Date provideDate)
    {
        this.provideDate = provideDate;
    }

    public Date getProvideDate()
    {
        return provideDate;
    }
    public void setTargetDepart(String targetDepart)
    {
        this.targetDepart = targetDepart;
    }

    public String getTargetDepart()
    {
        return targetDepart;
    }
    public void setProvideLevel(String provideLevel)
    {
        this.provideLevel = provideLevel;
    }

    public String getProvideLevel()
    {
        return provideLevel;
    }
    public void setInstancyExtent(String instancyExtent)
    {
        this.instancyExtent = instancyExtent;
    }

    public String getInstancyExtent()
    {
        return instancyExtent;
    }
    public void setAllianceFile(String allianceFile)
    {
        this.allianceFile = allianceFile;
    }

    public String getAllianceFile()
    {
        return allianceFile;
    }
    public void setUpdateDepart(String updateDepart)
    {
        this.updateDepart = updateDepart;
    }

    public String getUpdateDepart()
    {
        return updateDepart;
    }
    public void setUpdateUser(String updateUser)
    {
        this.updateUser = updateUser;
    }

    public String getUpdateUser()
    {
        return updateUser;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }
    public void setFrameworkId(String frameworkId)
    {
        this.frameworkId = frameworkId;
    }

    public String getFrameworkId()
    {
        return frameworkId;
    }
    public void setFileSecret(String fileSecret)
    {
        this.fileSecret = fileSecret;
    }

    public String getFileSecret()
    {
        return fileSecret;
    }
    public void setReleaseSecretid(String releaseSecretid)
    {
        this.releaseSecretid = releaseSecretid;
    }

    public String getReleaseSecretid()
    {
        return releaseSecretid;
    }
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }
    public void setFileNum(String fileNum)
    {
        this.fileNum = fileNum;
    }

    public String getFileNum()
    {
        return fileNum;
    }
    public void setFileSecretyj(String fileSecretyj)
    {
        this.fileSecretyj = fileSecretyj;
    }

    public String getFileSecretyj()
    {
        return fileSecretyj;
    }
    public void setFilePurpose(String filePurpose)
    {
        this.filePurpose = filePurpose;
    }

    public String getFilePurpose()
    {
        return filePurpose;
    }
    public void setFileCode(String fileCode)
    {
        this.fileCode = fileCode;
    }

    public String getFileCode()
    {
        return fileCode;
    }
    public void setReceiveUser(String receiveUser)
    {
        this.receiveUser = receiveUser;
    }

    public String getReceiveUser()
    {
        return receiveUser;
    }
    public void setReceiveCount(Long receiveCount)
    {
        this.receiveCount = receiveCount;
    }

    public Long getReceiveCount()
    {
        return receiveCount;
    }
    public void setOperateId(String operateId)
    {
        this.operateId = operateId;
    }

    public String getOperateId()
    {
        return operateId;
    }
    public void setAreaid(String areaid)
    {
        this.areaid = areaid;
    }

    public String getAreaid()
    {
        return areaid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("fileId", getFileId())
                .append("provideCount", getProvideCount())
                .append("provideDepart", getProvideDepart())
                .append("provideUserid", getProvideUserid())
                .append("provideDate", getProvideDate())
                .append("targetDepart", getTargetDepart())
                .append("provideLevel", getProvideLevel())
                .append("instancyExtent", getInstancyExtent())
                .append("allianceFile", getAllianceFile())
                .append("remark", getRemark())
                .append("updateDepart", getUpdateDepart())
                .append("updateUser", getUpdateUser())
                .append("updateDate", getUpdateDate())
                .append("frameworkId", getFrameworkId())
                .append("fileSecret", getFileSecret())
                .append("releaseSecretid", getReleaseSecretid())
                .append("fileName", getFileName())
                .append("fileNum", getFileNum())
                .append("fileSecretyj", getFileSecretyj())
                .append("filePurpose", getFilePurpose())
                .append("fileCode", getFileCode())
                .append("receiveUser", getReceiveUser())
                .append("receiveCount", getReceiveCount())
                .append("operateId", getOperateId())
                .append("areaid", getAreaid())
                .toString();
    }
}